//
//  OJSConsoleViewController.swift
//  OJASwiftKitDemo
//
//  Created by luxiaoming on 2016/11/14.
//  Copyright © 2016年 luxiaoming. All rights reserved.
//

var ConsoleInfoString = "log\n"

import UIKit

class OJSConsoleViewController: UIViewController {
    fileprivate lazy var textView: UITextView = {
        let temp = UITextView(frame: kOJSScreenBounds)
        temp.backgroundColor = UIColor.black
        temp.textColor = UIColor.green
        temp.isEditable = false
        temp.text = ConsoleInfoString
        return temp
    }()
    
}


// MARK: - Lifecycle
extension OJSConsoleViewController {
    
     override func viewDidLoad() {
        super.viewDidLoad()
        setupUI()
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}


private extension OJSConsoleViewController {
    func setupUI() {
        self.view.addSubview(self.textView)
        self.textView.scrollRangeToVisible(NSRange(location: ConsoleInfoString.characters.count - 1, length: 1))
        
        let rightSwipeGesture = UISwipeGestureRecognizer(target: self, action: #selector(OJSConsoleViewController.handleRightSwipeGesture(sender:)))
        rightSwipeGesture.numberOfTouchesRequired = 1
        rightSwipeGesture.direction = .right
        self.view.addGestureRecognizer(rightSwipeGesture)
    }
    
    @objc func handleRightSwipeGesture(sender : UISwipeGestureRecognizer) -> Void {
        self.dismiss(animated: true) { () -> Void in
            
        }
    }
}
