//
//  OJSDefines.swift
//  OJASwiftKitDemo
//
//  Created by luxiaoming on 2016/11/14.
//  Copyright © 2016年 luxiaoming. All rights reserved.
//

import Foundation
import UIKit

public let kOJSScreenBounds: CGRect = UIScreen.main.bounds
public let kOJSUserDefaults: UserDefaults = UserDefaults.standard
public let kOJSNotificationCenter: NotificationCenter = NotificationCenter.default
public let kOJSFileManager: FileManager = FileManager.default
public let kOJSScreenWidth: CGFloat = kOJSScreenBounds.width
public let kOJSScreenHeight: CGFloat = kOJSScreenBounds.height
public let kOJSShortVersionString: String = Bundle.main.object(forInfoDictionaryKey: "CFBundleShortVersionString") as! String
public let kOJSBuildString: String = Bundle.main.object(forInfoDictionaryKey: "CFBundleVersion") as! String

/// 这个只取大版本号，比如7，7.1，7.2.1都返回7
public let kOJSSystemVersion = Int(UIDevice.current.systemVersion.components(separatedBy: ".").first!)!

public let kOJSStatusBarHeight: CGFloat = 20
public let kOJSNavigationBarHeight: CGFloat = 44
public let kOJSTopHeight: CGFloat = 64
public let kOJSTabBarHeight: CGFloat = 49
